%define _requires_exceptions	perl(AcidRip::\.*)

Summary:	Simple GUI for MEncoder
Name:		acidrip
Version:	0.14
Release:	%mkrel 12
Source:		http://prdownloads.sourceforge.net/acidrip/%{name}-%{version}.tar.bz2
URL:		http://untrepid.com/acidrip
License:	GPLv2
Group:		Video/Editors and Converters
Patch0:		%{name}-0.14-xvid_options.patch
Patch1:		%{name}-0.14-mencoder.patch
Patch2:		%{name}-0.14-gtk2.patch
BuildRequires:	lsdvd
BuildRequires:	mencoder
BuildRequires:	perl-Gtk2
BuildRequires:	perl-devel
Requires:	lsdvd
Requires:	mencoder
Requires:	perl-Gtk2
BuildArch:	noarch

%description
AcidRip is a Gtk::Perl application for ripping and encoding DVD's. It neatly
wraps MPlayer and MEncoder, which I think is pretty handy, seeing as MPlayer
is by far the best bit of video playing kit around for Linux. As well as
creating a simple Graphical Interface for those scared of getting down and
dirty with MEncoders command line interface, It also automates the process in
a number of ways:
    * Parses DVD into contents tree
    * Finds longest title
    * Calculate video bitrate for given filesize
    * Finds black bands and crops them
    * Gives suggestions for improved performance
    * Other stuff!

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

perl -p -i -e 's/mp3lame/copy/g' Makefile.PL

%build
perl Makefile.PL
%make
										
%install
rm -rf %{buildroot}

%makeinstall_std INSTALLDIRS=vendor

#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=AcidRip
Comment=Video ripping and conversion
Exec=%{name}
Icon=video_section
Terminal=false
Type=Application
StartupNotify=true
Categories=Video;AudioVideo;AudioVideoEditing;GTK;
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING TODO
%{_bindir}/%{name}
%{perl_vendorlib}/AcidRip
%{_mandir}/man1/*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.14-12.mga3
+ Revision: 345223
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 pterjan <pterjan> 0.14-11.mga3
+ Revision: 335272
- Revert dependency changes, the problem with mplayer is from libffi
- Fix license
- Fix group
- fix dependencies, it needs both mencoder and mplayer

* Sun May 15 2011 pterjan <pterjan> 0.14-10.mga1
+ Revision: 98912
- Rebuild for fixed find-requires

* Mon Apr 25 2011 wally <wally> 0.14-9.mga1
+ Revision: 90216
- change .desktop file name (mga#954)
- add requires exceptions for self provided perl modules

* Thu Apr 14 2011 ennael <ennael> 0.14-8.mga1
+ Revision: 85518
- clean spec file
- imported package acidrip

